Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.concurrency
Class InvalidDirectoryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.owasp.dependencycheck.concurrency.InvalidDirectoryException

All Implemented Interfaces:
  Serializable

    public class InvalidDirectoryException

extends Exception

If thrown, indicates that there is a problem with a directory.

Author:
  Jeremy Long (jeremy.long@owasp.org)
See Also:
  Serialized Form

Constructor Summary
`InvalidDirectoryException()` Constructs a new Invalid Directory Exception.
`InvalidDirectoryException(String msg)` Constructs a new Invalid Directory Exception.
`InvalidDirectoryException(String msg, Throwable ex)` Constructs a new Invalid Directory Exception.
`InvalidDirectoryException(Throwable ex)` Constructs a new Invalid Directory Exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidDirectoryException

    public InvalidDirectoryException()

  Constructs a new Invalid Directory Exception.

### InvalidDirectoryException

    public InvalidDirectoryException(String msg)

  Constructs a new Invalid Directory Exception.

  Parameters:
    `msg` - the message describing the exception

### InvalidDirectoryException

    public InvalidDirectoryException(Throwable ex)

  Constructs a new Invalid Directory Exception.

  Parameters:
    `ex` - the cause of the exception

### InvalidDirectoryException

    public InvalidDirectoryException(String msg,
                                     Throwable ex)

  Constructs a new Invalid Directory Exception.

  Parameters:
    `msg` - the message describing the exception
    `ex` - the cause of the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.